sysklogd (1.4.1-18osso2) unstable; urgency=low

  * Install non-executable default

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Mon, 28 Jan 2008 21:16:38 +0200

sysklogd (1.4.1-18osso1) unstable; urgency=low

  * New debian release, 1.4.1-18. Fixes: NB#78733
  * Integrated osso changes:
    - only log to syslog
    - rotate logs on startup
    - don't start daemon in postinst script (scratchbox problem)

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Tue,  7 Mar 2006 19:25:41 +0200
  
sysklogd (1.4.1-18) unstable; urgency=medium

  * Removed asm/atomic.h since it is not needed anymore. (closes:
    Bug#350764)
  * Fixed typo in NMU-Disclaimer (closes: Bug#225895)
  * Corrected getconf call in debian/rules to fix lagefile support
    (closes: Bug#320119)
  * Applied patch by Joey Hess to prevent klogd to be stopped/started too
    fast (closes: Bug#284914)
  * Finish /usr/share/doc transition with patch by Julien Cristau (closes:
    Bug#337712, Bug#322769, Bug#255590)
  * Reset the 'restart' flag immediately after entering the restart code.
    Thanks to Dean Gaudet (closes: Bug#154805)
  * Added support for /etc/default/{syslogd,klogd} files to contain
    commandline arguments for syslogd and klogd (closes: Bug#98631,
    Bug#127579, Bug#241350, Bug#266985)
  * Added a description of system log level and link to sysctl(8) (closes:
    Bug#164153)
  * Acknowledging Joey's NMUs (closes: Bug#347333)

 -- Martin Schulze <joey@infodrom.org>  Thu, 25 May 2006 11:07:52 +0200

sysklogd (1.4.1-17) unstable; urgency=high

  * Use $(getconf LFS_CFLAGS) for large file support
  * Applied adjusted patch by Miquel van Smoorenburg to fix spurious
    hanging syslogd in connection with futex and NPTL introduced in recent
    glibc versions and Linux 2.6 (closes: Bug#301511)

 -- Martin Schulze <joey@infodrom.org>  Wed, 25 May 2005 20:10:31 +0200

sysklogd (1.4.1-16) unstable; urgency=medium

  * applied patch by cph
  * Applied patch by Colin Phipps so that syslogd doesn't block on the
    network socket, in case a packet gets lost between select and
    recv. (closes: Bug#275578)
  * Applied patch by Anders Henke so that syslog calculates the time for
    each message (closes: Bug#207619)
  * Don't create /var/log/news if it's not needed (closes: Bug#266555)

 -- Martin Schulze <joey@infodrom.org>  Sun,  7 Nov 2004 13:10:03 +0100

sysklogd (1.4.1-15) unstable; urgency=low

  * Applied patch by Steve Grubb <linux_4ever@yahoo.com> to adjust memory
    calculation in crunch_list().
  * Removed atomic_t in the usecount field of the module struct for
    compatibility reasons (closes: Bug#245513)

 -- Martin Schulze <joey@infodrom.org>  Tue, 27 Jul 2004 17:28:49 +0200

sysklogd (1.4.1-14) unstable; urgency=medium

  * Added more trailing newlines to init.d programs (closes: Bug#216110)
  * Adjusted the use of head to the new behaviour for GNU coreutils
    (closes: Bug#205535, Bug#172655)
  * Install /usr/share/sysklogd/dummy to replace /usr/share/doc/sysklogd,
    since /usr/share/doc should be removable by an admin (Policy 12.3).
    (closes: Bug#237724)
  * Added a private module.h with extracted data from Linux 2.2 to replace
    <linux/module.h> which creates a number parse errors.  (closes: Bug#223210)
  * Added support for invoke-rc.d as written in policy 9.3.3 (closes:
    Bug#213211, Bug#213585, Bug#216858, Bug#214912)

 -- Martin Schulze <joey@debian.org>  Wed, 31 Mar 2004 18:18:54 +0200

sysklogd (1.4.1-13) unstable; urgency=medium

  * Updated some text in the cronjobs
  * Direct output of reloading to /dev/null so that no cron log mails will
    be created defaultly (closes: Bug#213717, Bug#213646)

 -- Martin Schulze <joey@finlandia.infodrom.north.de>  Thu,  2 Oct 2003 19:51:34 +0200

sysklogd (1.4.1-12) unstable; urgency=low

  * On heavily loaded system syslog will not spit out error messages
    anymore when recvfrom() results in EAGAIN (closes: Bug#188194)
  * Applied patch by Ryan Murray to make this package build on mipsel
    again (closes: Bug#191969)
  * Added O_NONBLOCK to two more locations, since Andreas Barth
    <aba@not.so.argh.org> believes that it fixes this bug.  However,
    according to the note in open(2) this does not have to have any effect
    on files other than pipes... (closes: Bug#45245)
  * Permissions on empty files should also be corrected (closes: Bug#135485)
  * Corrected the number of bytes denoting 1GB for large logfiles (closes: Bug#138234)
  * Corrected the handling of the skip pattern (closes: Bug#152247)
  * Don't cut non-newline trailing characters from the last line anymore
    (closes: Bug#152248)
  * Improved init.d scripts so non-existing pid directories are not
    touched anymore (see Bug#165472)
  * Whoops, looks like O_TRUNC was missing when opening the pidfile for writing,
    increasing the chance of left-overs from older pid contents in the
    file.  (closes: Bug#165472) 
  * Don't send SIGHUP to klogd anymore.  Only restart it in case the old
    process got lost somehow.  (closes: Bug#168851)
  * Improved init.d script output (closes: Bug#190328)
  * Adjusted the use of chown to the new behaviour for GNU coreutils
    (closes: Bug#205364)
  * Adjusted the use of head to the new behaviour for GNU coreutils
    (closes: Bug#205535)
  * Moved the installation of the signal handler up a little bit so it
    guaranteed to be available when the child is forked, hence, fixing a
    race condition.  This used to create problems with UML and fast
    machines.  Thanks to Jon Burgess <Jon_Burgess@eur.3com.com> (closes:
    Bug#211993)

 -- Martin Schulze <joey@kyllikki.infodrom.north.de>  Sun, 28 Sep 2003 12:34:31 +0200

sysklogd (1.4.1-11) unstable; urgency=low

  * Added a disclaimer for those people who plan to NMU this package

 -- Martin Schulze <joey@finlandia.infodrom.north.de>  Thu, 17 Oct 2002 08:26:04 +0200

sysklogd (1.4.1-10) unstable; urgency=low

  * Removed bashism from rc files (closes: Bug#127406, Bug#127407,
    Bug#127578, Bug#127372)

 -- Martin Schulze <joey@finlandia.infodrom.north.de>  Thu,  3 Jan 2002 18:22:13 +0100

sysklogd (1.4.1-9) unstable; urgency=low

  * Use a newer Standards-Version
  * Corrected dependency of sysklogd (closes: Bug#123908)
  * Transfer section/priority into .deb (closes: Bug#123908)
  * Fix typo in syslog.conf(5) (closes: Bug#126899)
  * Added ``-e'' to weekly and daily cron scripts.  Beware, from now on
    they will fail if an error occurs and leave /var/log in an undefined
    state, not signalling syslogd to reopen files as well. (closes: Bug#123281)
  * Added some intelligence into /etc/init.d/sysklogd and klogd so the
    daemons will be restarted when they should only be reloaded but are
    not running.  This could be helpful if after an OOM situation syslogd
    or klogd were killed by init but cron wasn't.  (closes: Bug#126749, Bug#126750)
  * Create /dev/xconsole in init.d script if it doesn't exist.  Hence
    removing this out of the postinst script.  This should help situations
    when devfs is installed and /dev/ get's removed on system boot, thus
    /dev/xconsole gets removed as well. (closes: Bug#106535)
  * Added ftp facility (closes: Bug#100437)
  * Added missing documentation to syslogd-listfiles(8) (fixes: Bug#48326)
  * Added a PATH= statement to all init.d files (closes: Bug#47901)

 -- Martin Schulze <joey@finlandia.infodrom.north.de>  Tue,  1 Jan 2002 13:44:42 +0100

sysklogd (1.4.1-8) unstable; urgency=low

  * Added special code to find out if a logfile was rotated within the
    last 5 hours already, hence should not be rotated again.  Hope this
    satisfies Craig Sanders' request properly. (closes: Bug#39198)

 -- Martin Schulze <joey@finlandia.infodrom.north.de>  Thu,  6 Dec 2001 11:06:53 +0100

sysklogd (1.4.1-7) unstable; urgency=low

  * Fixed override disparity
  * Added more defines so files larger than 2GB can be created, approved
    by the glibc maintainer (closes: Bug#120574)
  * Closing old bug reports (closes: Bug#95230, Bug#34391, Bug#72892)
  * Added `--large nnn' as argument to syslogd-listfiles so people can
    decide on their own what a large file is (closes: Bug#39198)
  * Increased the default definition for large files

 -- Martin Schulze <joey@finlandia.infodrom.north.de>  Wed,  5 Dec 2001 22:01:23 +0100

sysklogd (1.4.1-6) unstable; urgency=low

  * Corrected path for syslogd in cron scripts (closes: Bug#122261,
    Bug#121680, Bug#120809)
  * Already fixed bugs (closes: Bug#121784)
  * Improved package description (closes: Bug#120755)
  * Added an improved pattern for news.*, thanks Takuo (closes: Bug#103999)

 -- Martin Schulze <joey@finlandia.infodrom.north.de>  Tue,  4 Dec 2001 09:46:46 +0100

sysklogd (1.4.1-5) unstable; urgency=low

  * Fix the override disparity
  * Removed superflous Priority
  * Removed =VER= string from syslogd-listfiles (closes: Bug#102998)

 -- Martin Schulze <joey@finlandia.infodrom.north.de>  Wed, 21 Nov 2001 23:00:29 +0100

sysklogd (1.4.1-4) unstable; urgency=low

  * Added convenience code to support $DEB_BUILD_OPTIONS

 -- Martin Schulze <joey@finlandia.infodrom.north.de>  Wed, 21 Nov 2001 18:41:23 +0100

sysklogd (1.4.1-3) unstable; urgency=medium

  * Be more anal about whether sysklogd is installed or not in our cron
    scripts (closes: Bug#100319)
  * Added missing newline in init.d script upon restart (closes: Bug#95554)
  * Moved stop code to prerm (closes: Bug#120249, Bug#96355, Bug#105441,
    Bug#105442, Bug#109470)
  * Corrected broken character in klogd.8 (closes: Bug#75932) [repeat, due
    to typo]
  * Added dependency to klogd so people who upgrade their sysklogd package
    won't lose it anymore (closes: Bug#93729) [repeat, another bug#]
  * auth.* files are only rotated daily (closes: Bug#102138)
  * Changed -p to -s in documentation (closes: Bug#108473)
  * Updated documentation to reflect the current location of the mailing
    list

 -- Martin Schulze <joey@finlandia.infodrom.north.de>  Tue, 20 Nov 2001 20:48:32 +0100

sysklogd (1.4.1-2) unstable; urgency=low

  * Corrected location of GPL (closes: Bug#90582)
  * Added section and priority for binary packages
  * Added dependency to klogd so people who upgrade their sysklogd package
    won't lose it anymore (closes: Bug#93922)
  * Added code snipped to stop klogd/syslogd upon removal (closes:
    Bug#90534, Bug#90970)

 -- Martin Schulze <joey@finlandia.infodrom.north.de>  Sat, 21 Apr 2001 15:06:02 +0200

sysklogd (1.4.1-1) unstable; urgency=low

  * New upstream source (closes: Bug#87819, Bug#70790, Bug#32580,
    Bug#62358, Bug#71631)
  * Upstream: Doesn't re-set log-level if not requested (closes:
    Bug#76170, Bug#76170, Bug#85289)
  * Upstream: Ignore zero bytes (closes: Bug#85478, Bug#85478, Bug#41068)
  * Upstream: Corrected documentation for `-s' (closes: Bug#87020)
  * Upstream: test for existence of syslogd-listfiles before calling
    them.  This got lost due to 1.4.0 brokennes which was packaged and
    removed some hours later (closes: Bug#84872, Bug#66712)
  * Applied patch by Tommi Virtanen <tv@debian.org> splitting the package
    into `sysklogd' and `klogd' (closes:Bug#35586, Bug#72043, Bug#74864,
    Bug#72122)
  * Provide / depend on virtual packages system-log-daemon
    and linux-kernel-log-daemon (closes: Bug#67604)
  * Applied patch from Tim Janik <timj@gtk.org> to support `-s pattern' in
    syslogd-listfiles
  * Transition to FHS, i.e. /usr/share/doc instead of /usr/doc and
    /usr/share/man instead of /usr/man (closes:  Bug#79250, Bug#80771)
  * Use --exec for stopping services (closes: Bug#76757)
  * Corrected broken character in klogd.8 (cloes: Bug#75932)
  * Only rotate logfiles with size greater than zero.  This got lost due
    to 1.4.0 brokennes which was packaged and removed some hours later
    (closes: Bug#74993, Bug#49824)
  * Added another note about modificability of cronjobs (closes:
    Bug#88741)
  * Since klogd replaces parts of sysklogd a proper Replaces line is there

 -- Martin Schulze <joey@finlandia.infodrom.north.de>  Sun, 11 Mar 2001 22:30:53 +0100

sysklogd (1.4-1) stable unstable; urgency=medium, closes=70790 32580 49824 62358 66712 71631

  * Added paragraph to binary target
  * New upstream version (closes: Bug#70790, Bug#32580, Bug#62358,
    Bug#71631)
  * Only rotate logfiles that have a size greater than zero (closes:
    Bug#49824)
  * Test for existence of syslogd-listfiles before calling it (closes:
    Bug#66712)

 -- Martin Schulze <joey@finlandia.infodrom.north.de>  Mon, 18 Sep 2000 16:02:05 +0200

sysklogd (1.3-33) unstable; urgency=medium, closes=38977

  * chmod 0640 /dev/xconsole regardless of its existence (closes: Bug#38977)

 -- Martin Schulze <joey@finlandia.infodrom.north.de>  Sun, 12 Sep 1999 20:47:53 +0200

sysklogd (1.3-32) unstable; urgency=low, closes=35408 34733 36198

  * Fixed typo in syslogd-listfiles (closes: Bug#35408)
  * Removed superflous call to utmpname() (closes: Bug#34733)
  * Added --ignore-size and limit for rotating log files at 2MB to
    syslogd-listfiles (closes: Bug#36198)

 -- Martin Schulze <joey@finlandia.infodrom.north.de>  Sun, 23 May 1999 10:40:33 +0200

sysklogd (1.3-31) frozen unstable; urgency=low, closes=28629 30093 31494 30462

  * ``-m 0'' turns off -- MARK -- now. (closes: Bug#28629, Bug#31494)
  * Changed Greg's e-mail address to represent his current one.
  * Shortened line length for kernel logging slightly.
  * Corrected return value of AddModule (closes: Bug#30093)
  * Finally fixed an error with `-a' processing, thanks to Topi Miettinen
    <tom@medialab.sonera.net> (closes: Bug#30462)

 -- Martin Schulze <joey@finlandia.infodrom.north.de>  Tue, 19 Jan 1999 23:56:07 +0100

sysklogd (1.3-30) unstable; urgency=low, closes=28128 28122 24893

  * Contains more patches from Topi Miettinen.
  * Fixed two mistakes from the most recent version
  * Fixed fd leak problem.  Thanks to Topi for detecting it
  * Ouch!  Looks like the released package again is broken.  It worked
    locally.

 -- Martin Schulze <joey@finlandia.infodrom.north.de>  Sun, 18 Oct 1998 20:38:22 +0200

sysklogd (1.3-29) unstable; urgency=low, closes=24893

  * Re-Applied patch provided vom Topi Miettinen with regard to the people
    from OpenBSD.  This provides the additional '-a' argument used for
    specifying additional UNIX domain sockets to listen to.  This is been
    used with chroot()'ed named's for example.  An example is described at
    http://www.psionic.com/papers/dns.html.  This time the patch doesn't
    stall syslogd.  Thanks to Topi Miettinen <tom@medialab.sonera.net>
    (closes: Bug#24893)

 -- Martin Schulze <joey@finlandia.infodrom.north.de>  Sat, 17 Oct 1998 20:23:00 +0200

sysklogd (1.3-28) unstable; urgency=low

  * Added manpage for syslog-facility, also written by Raphaël Hertzog 
  * Reverted support for multiple Unix domain sockets since it caused
    syslogd to not accept more sockets after a certain (undefinitve)
    time.  (opens: Bug#24893)
  * The complete code is still present, search for `Bug#24893'
  * Commented out `-a' in the syslogd.8 manpage

 -- Martin Schulze <joey@finlandia.infodrom.north.de>  Thu, 15 Oct 1998 19:35:26 +0200

sysklogd (1.3-27) frozen unstable; urgency=low, closes=21212 11917 21606 24609 25835 26015 24648 20135 23502 24893 24894

  * Postinst will create files with correct file modes (closes: Bug#21212)
  * Made /dev/xconsole mode 0640 and root.adm (closes: Bug#11917)
  * Changed priority of exit message from LOG_ERR to LOG_INFO (closes
    Bug#21606)
  * The code now is compilable without SYSLOG_INET again.  Thanks to
    Enrik Berkhan <enrik@rzstud1.akk.org>.
  * Added support for TESTING define which will turn syslogd into
    stdio-mode used for debugging.
  * Reworked the initialization/fork code.  Now the parent
    process activates a signal handler which the daughter process will
    raise if it is initialized.  Only after that one the parent process
    may exit.  Otherwise klogd might try to flush its log cache while
    syslogd can't receive the messages yet. (closes: Bug#24609)
  * Fixed typo in /etc/syslog.conf (closes: Bug#25835)
  * Modified pre- and postinst scripts to set +e before executing external
    scripts.  This is a workaround against a bug in bash (Bug#23857).
    Bash exports the errexit (-e) flag if allexport (-a) has been set. The
    bug occurs even if allexport is being _re_set.  (closes: Bug#26015)
  * Modified ksym::CheckVersion()
    . Use shift to decode the kernel version
    . Compare integers of kernel version
    . extract major.minor.patch from utsname.release via sscanf()
    The reason lays in possible use of kernel flavours which modify
    utsname.release but no the Version_ symbol.  (closes: Bug#20135)
  * Corrected klogd.c in order to support the new address space for late
    2.1 kernels.  Some support for unsigned long in contrary to int was
    missing.  (closes: Bug#23502)
  * Applied patch provided vom Topi Miettinen with regard to the people
    from OpenBSD.  This provides the additional '-a' argument used for
    specifying additional UNIX domain sockets to listen to.  This is been
    used with chroot()'ed named's for example.  An example is described at
    http://www.psionic.com/papers/dns.html.  Thanks to Topi Miettinen
    <tom@medialab.sonera.net> (closes: Bug#24893)
  * Added support for `ftp' log facility which was introduced by glibc
    version 2.  Thanks to netgod and Flood from #Debian.
  * Code cleanups with regard to bsd -> posix transition and stronger
    security (buffer length checking).  Thanks to Topi Miettinen
    <tom@medialab.sonera.net> (closes: Bug#24894)
    . index() --> strchr()
    . sprintf() --> snprintf()
    . bcopy() --> memcpy()
    . bzero() --> memset()
    . UNAMESZ --> UT_NAMESIZE
    . sys_errlist --> strerror()
  * Added support for setutent()/getutent()/endutend() instead of binary
    reading the UTMP file.  This is the the most portable way.  Thanks to
    Topi Miettinen <tom@medialab.sonera.net>.
  * Avoid logging of SIGCHLD when syslogd is in the process of exiting and
    closing its files.  Again thanks to Topi.
  * Added /usr/sbin/syslog-facility, written by Raphaël Hertzog
    <hertzog@debian.org>.  It opens a way for other packages to add and
    remove logfiles/facilities.
  * Modified printline() to support 8bit characters - such as russion
    letters.  Thanks to Vladas Lapinskas <lapinskas@mail.iae.lt>.

 -- Martin Schulze <joey@finlandia.infodrom.north.de>  Mon, 12 Oct 1998 22:24:04 +0200

sysklogd (1.3-26) frozen unstable; urgency=low, closes=20903 20765 20556 20507 20647 20220

  * Fixed typos in syslogd-listfiles(1), thanks to Francesco Potorti`
    <F.Potorti@cnuce.cnr.it> (closes: Bug#20903)
  * Corrected email address for Shane Alderton (closes: Bug#20765)
  * Fixed manpage to not reflect reverse implementated SIGALRM signal
    handler (closes: Bug#20647)
  * Modified behaviour with including <sys/module.h> (closes: Bug#20556)
  * Added correct prototype for llseek() (closes: Bug#20507, Bug#20220)
  * Added more log information if problems occurr while reading a system
    map file.
  * Modified System.map read function to try all possible map files until
    a file with matching version is found.
  * Added Debian release to klogd
  * Switched to fgets() as gets() is not buffer overrun secure.
  * Modified loop for detecting the correct system map.

 -- Martin Schulze <joey@finlandia.infodrom.north.de>  Thu, 16 Apr 1998 19:28:05 +0200

sysklogd (1.3-25) unstable; urgency=low, closes=19454 19145 1914

  * Corrected permissions on packaging control files (closes: Bug#19414)
  * Removed kill statements from rc file (closes: Bug#19454, Bug#19145)
  * Applied patch from Pedro Manuel Rodrigues <pmanuel@cindy.fe.up.pt> to
    let klogd work togther with >2GB address space.

 -- Martin Schulze <joey@finlandia.infodrom.north.de>  Thu, 19 Mar 1998 23:56:09 +0100

sysklogd (1.3-24) unstable; urgency=low, closes=18124

  * Fixed tiny mistake which refused the MARK facility to work properly
    (closes: Bug#18124)
  * Corrected Topi's patch as it prevented forwarding during startup due
    to an unknown LogPort.

 -- Martin Schulze <joey@finlandia.infodrom.north.de>  Wed, 25 Feb 1998 13:19:27 +0100

sysklogd (1.3-23) unstable; urgency=low

  * Corrected FSF's address (lintian)
  * Implemented force-reload (lintian)
  * Standards-Version: 2.4.0.0
  * Applied patch from Topi Miettinen <Topi.Miettinen@ml.tele.fi> to open
    the UDP socket only if it is really needed.
  * Updated sysklogd(8) manpage
  * Added notes to mailing list

 -- Martin Schulze <joey@finlandia.infodrom.north.de>  Tue, 24 Feb 1998 00:39:10 +0100

sysklogd (1.3-22) unstable; urgency=low, closes=17192 17385 17601

  * Included a real fix to the %'s problem (fixes: Bug#17192)
  * Another patch for Linux/alpha by Christopher C Chimelis
    <chris@classnet.med.miami.edu> (fixes: Bug#17385)
  * Removed killall-statement from postinst.  Thanks to James Troup for
    reporting it.
  * Added chdir("/") to both daemons (fixes: Bug#17601)

 -- Martin Schulze <joey@finlandia.infodrom.north.de>  Thu, 29 Jan 1998 21:56:40 +0100

sysklogd (1.3-21) unstable; urgency=low, closes=17159

  * Fixed small typo in syslogd-listfiles (Bug#17159)

 -- Martin Schulze <joey@finlandia.infodrom.north.de>  Thu, 15 Jan 1998 23:22:57 +0100

sysklogd (1.3-20) unstable; urgency=low, closes=17000

  * Corrected some code that caused klogd to dump core when receiving some
    special messages from 2.1.78.  Thanks to Chu-yeon Park
    <kokids@doit.ajou.ac.kr> for informing me.
  * Fixed bug that caused klogd to die if there is no System.map
    available.
  * Added -x switch to omit EIP translation and System.map evaluation.
    Thanks to Florian La Roche <florian@knorke.saar.de>
  * Fixed small bugs in F_FORW_UNKN meachanism.  Thanks to Torsten Neumann
    <torsten@londo.rhein-main.de> for pointing me to it.
  * Fixed problem with klogd not being able to be built on a kernel newer
    than 2.1.18.  Worked in a patch from Alessandro Suardi <asuardi@uninetcom.it>
  * Fixed small typo in syslogd-listfiles
  * Corrected debug output concerning remote receiption
  * Removed race condition in syslogd-listfiles
  * Modified logfile detection routine to take care of double listed
    logfiles.  Thanks to Roman Hodek <roman@debian.org> for providing an
    appropriate patch.  (Bug#17000)
  
 -- Martin Schulze <joey@finlandia.infodrom.north.de>  Tue, 13 Jan 1998 01:59:56 +0100

sysklogd (1.3-19) unstable; urgency=low, closes=16643 16769 16796 16828 16148 14776

  * Used better regexp for detecting sensitive data.  Thanks a lot to
    Susanne Schmidt <banshee@linux.de> for providing it.
  * Fixed ownership of /usr/doc/sysklogd/copyright and readme (Bug#16643)
  * Corrected Standards-Version to 2.3.0.1 (Bug#16769)
  * Reworked one line of an older patch because it prevented syslogd from
    binding the socket with the result that no messages were forwarded to
    other hosts.
  * Changed the behaviour of klogd when receiving a terminate signal. Now
    the program terminates immediately instead of completing the receipt of
    a kernel message.  (Bug#16796, Bug#16828, Bug#16148)
  * Noticed a bug which was closed by 1.3-18 (Bug#14776)
  * Changed Maintainer address to joey@debian.org

 -- Martin Schulze <joey@finlandia.infodrom.north.de>  Fri, 9 Jan 1998 00:58:36 +0100

sysklogd (1.3-18) unstable; urgency=low, closes=11731 12009 13506 14329 14521 14610 15840 15336

  * Added test in postinst if user and group exist.  Christoph Lameter run
    into trouble upgrading a RedHat system.
  * Fixed little mistake which prevented klogd from accepting a console
    log level of 8 to get <7> alias KERN_DEBUG displayed.
  * Linked against libc6 (Bug#11731)
  * Added SHELL=/bin/bash to rules as Herbert Xu suggested
  * Corrected syslog.conf(5) manpage
  * syslogd resets the ignore priority flag now.  Thanks to Herbert
    Thielen. (Bug#12009)
  * Fixed bug that caused syslogd to write into wrong files under some
    race conditions.  Thanks to Herbet Xu. (Bug#13506)
  * /var/log/auth.log will only be touch if needed (Bug#14329)
  * debian/conffiles is treated like a document (Bug#14521)
  * Added script for generic logfile detection and rotation and included
    that in cron scripts, included also its manpage (Bug#14610)
  * Modified restart messages in /etc/init.d/sysklogd (Bug#15840)
  * klogd will first try to load /boot/System.map-$ver, then
    /boot/System.map, then /System.map-$ver and after that /System.map
  * Modified ExpandKadds() because there were some problems accessing
    memory r/w.  (Bug#15336)

 -- Martin Schulze <joey@finlandia.infodrom.north.de>  Fri, 2 Jan 1998 03:31:09 +0100

sysklogd (1.3-17) unstable; urgency=low

  * Fixed stupid bug which caused klogd to eat up 90% cpu time.

 -- Martin Schulze <joey@finlandia.infodrom.north.de>  Wed, 25 Jun 1997 15:22:29 +0200

sysklogd (1.3-16) unstable; urgency=low

  * Included Miquel's patches which allows continuation line support
    for syslogd.  Corrected syslog.conf(5) manpage.  Improved
    syslog.conf file.  Thanks to Miquel van Smoorenburg
    <miquels@cistron.nl> for dropping in these patches.
  * Added /var/log/syslog as a daily rotated logfile which contains
    everything except auth.*
  * ksym.c: Added #1 and #2 to some error messages in order to being able
    to divide them (ulmo@Q.Net)
  * Improved postinst script (Thanks to Miquel van Smorrenborg for ideas)
  * klogd now also reads /System.map-<version> and
    /boot/System.map-<version> (Bug#7210)
  * syslogd,klogd: made DEBRELEASE optional to support a non-Debian
    release as well.
  * Corrected freeing of logfiles.
  * Removed delay of 10 seconds. (Bug#8104, Bug#8400)
  * Modified permissions of logfiles from 644 to 640 and 640 to 600 for
    security aspects.
  * Corrected syslog.conf(5) manpage (Bug#9779)
  * Found upstream patches for 1.3.1 to 1.3.3 which are now included.
    These also include some patches for glibc and Alpha.
  * Included patch to modules package to support better debugging
  * Added patch from Leland Olds which fixes a buffer overrun and improved
    symbol lookup. (Bug#4875)
  * Some more glibc patches made by Michael Alan Dorman
    <mdorman@debian.org>. (Bug#8362, Bug#8763)

 -- Martin Schulze <joey@finlandia.infodrom.north.de>  Sun, 15 Jun 1997 19:37:13 +0200

sysklogd (1.3-15) unstable; urgency=low

  * Added /var/log/mail.log as a logfile
  * Corrected Description field (Bug#7624)
  * Added read statement in postinst script (Bug#8243)

 -- Martin Schulze <joey@infodrom.north.de>  Wed, 26 Mar 1997 13:32:24 +0100

sysklogd (1.3-14) unstable; urgency=low

  * Debugging syslogd now shows facility.priority
  * Minor fixes
  * Modified syslogd.c to not kill itself which confuses bash 2.0

 -- Martin Schulze <joey@infodrom.north.de>  Sun, 23 Feb 1997 12:23:55 +0100

sysklogd (1.3-13) stable; urgency=low

  * Made /etc/init.d/sysklogd more verbose
  * Minor fixes
  * Uncompressed copyright, but compressed /usr/doc/sysklogd-1.3.16/readme

 -- Martin Schulze <joey@debian.org>  Sat, 8 Feb 1997 14:12:29 +0100

sysklogd (1.3-12) stable; urgency=HIGH
  
  * Converted to Standards-Version 2.1.1.2
  * init.d/sysklogd: added "sleep 1"
  * syslogd won't hassle anymore if it can't access logfils. Patched by
    me. This adresses Bug#5865.
  * /etc/init.d/sysklogd: Modified so that one can use commandline
    arguments for both syslogd and klogd.
  * debian.rules: Installed ChangeLog

 -- Martin Schulze <joey@finlandia.infodrom.north.de>  Thu, 30 Jan 1997 22:48:59 +0100

Mon Now 25 10:36:01 1996  Martin Schulze  <joey@finlandia.infodrom.north.de>

	* modified preinst to work if /etc/init.d/sysklogd doesn't exist
	because of a failure

Mon Sep 10 10:36:01 1996  Martin Schulze  <joey@finlandia.infodrom.north.de>

	* ksyms.c: klogd will first look at /System.map (Bug#4403, #4459)

Fri Aug 16 21:36:01 1996  Martin Schulze  <joey@finlandia.infodrom.north.de>

	* debian.rules: Changed permissions for syslogd and klogd to 755
	(Bug#4049)

Mon Aug 12 10:40:05 1996  Martin Schulze  <joey@finlandia.infodrom.north.de>

	* Corrected permissions of documentation.  Thanks to Dan
        Quinlan. (Bug#4090)

Mon Aug  5 22:47:40 1996  Martin Schulze  <joey@finlandia.infodrom.north.de>

	* syslogd.c: If you haven't set your domainname, syslogd will dump
	core upon startup.  Fixed.  Thanks to Leeland Lucius
	<llucius@millcomm.com> for reporting and patching it. (Bug#3526)

	* /etc/init.d/sysklogd, /etc/cron.weekly/sysklogd: slight
	improvements.  Thanks to Bernd Eckenfels <ecki@tapac.inka.de>.

Fri Aug  2 11:03:30 1996  Martin Schulze  <joey@finlandia.infodrom.north.de>

	* modified weekly cron script, thanks to Todd Tyrone Fries <todd@miango.com>

Fri Jun 14 10:42:26 1996  Martin Schulze  <joey@finlandia.infodrom.north.de>

	* ksyms.c: increased the size of vstring, because since Linux
	major versions are decoded with n * 65536 and we now have 2.0, the
	field was too short.

Tue May 28 01:02:01 1996  Martin Schulze  <joey@finlandia.infodrom.north.de>

	* syslogd.c: Corrected behaviour of blocking pipes - i.e. the
	whole system hung.  Michael Nonweiler <mrn20@hermes.cam.ac.uk> has
	sent us a patch to correct this.  A new logfile type F_PIPE has
	been introduced.

Thu May 23 08:39:54 1996  Martin Schulze  <joey@finlandia.infodrom.north.de>

	* postinst: Corrected killall-statement, Thanks to Miquel van
	Smoorenborg for the hint

Mon May 20 00:14:35 1996  Martin Schulze  <joey@finlandia.infodrom.north.de>

	* postinst: added a killall to remove an existing syslogd.  It
	could exist because of Bug#2836.

Sun May 12 13:36:55 1996  Martin Schulze  <joey@finlandia.infodrom.north.de>

	* removed auth.* from /dev/xconsole

	* klogd won't log old messages anymore (Bug#2337)
	I have applied the patch from Chris Hanson.

	* I have put another start-stop-daemon call in the startup script
	so the configs are reloaded on startup. This should
	help. (Bug#2552)

	* Sysklogd takes care of this and createst /dev/xconsole if it
	doesn't exist during installation. (Bug#2683)

	* I have corrected permissions of /dev/xconsole. (Bug#2837)

	* defined /etc/cron.weekly/sysklogd as a conffile (Bug#2950, Bug#2960)

	* introduced two binary packages: syslogd and sysklogd which
	exclude each other

Sun Apr 21 17:56:03 1996  Martin Schulze  <joey@finlandia.infodrom.north.de>

	* Corrected preinst (Bug#2722, Bug#2725, Bug#2726)

	* Linked against libc 5.2.18 (Bug#2723, Bug#2725)

	* Corrected control file to fit with newer dpkgs

Wed Apr 17 21:40:56 1996  Martin Schulze  <joey@finlandia.infodrom.north.de>

	* Added Debian packaging information


